Subject: Re: Stability of MontaVista's 2.4.0-test2-1.2.2-1

From: "Mark A. Greer" <[email-masked]>
Date: Thu, 29 Mar 2001 11:11:53 -0700

Someone "undid" the changes I put in open_pic.c that made openpic_irq() and
openpic_eoi() global (i.e., non-static).

To fix, just go in there & remove the "static" in the prototypes and on the
routines themselves.

BTW, to get a reasonable .config file, type "make sandpoint_config"

Mark
--

Sébastien Côté wrote:

> Alex Shnitman wrote:
> > I've just tried it. I downloaded the tree with bitkeeper, and applied
> > sp_patch_25, but got the following linking errors at the final stage
> > of the compilation:
> 
> I just downloaded 2_5 with Bitkeeper and I got the same problem.
>
> Isn't there any daily snapshots located somewhere??  I can't download
> using Bitkeeper from here because of the proxy.
>
> Sébas..
>
> P.S.: Here's the errors I get:
> arch/ppc/kernel/kernel.o: In function `sandpoint_get_irq':
> arch/ppc/kernel/kernel.o(.text+0x99b8): undefined reference to
> `openpic_irq'
> arch/ppc/kernel/kernel.o(.text+0x99b8): relocation truncated to fit:
> R_PPC_REL24 openpic_irq
> arch/ppc/kernel/kernel.o(.text+0x99dc): undefined reference to
> `openpic_eoi'
> arch/ppc/kernel/kernel.o(.text+0x99dc): relocation truncated to fit:
> R_PPC_REL24 openpic_eoi
> arch/ppc/kernel/kernel.o: In function `sandpoint_post_irq':
> arch/ppc/kernel/kernel.o(.text+0x9a2c): undefined reference to
> `openpic_eoi'
> arch/ppc/kernel/kernel.o(.text+0x9a2c): relocation truncated to fit:
> R_PPC_REL24 openpic_eoi
> make: *** [vmlinux] Error 1
>

--
Mark A. Greer ([email-masked]; 480-517-0287)
MontaVista Software, Inc.
2141 E. Broadway Road, Suite 108
Tempe, AZ  85282

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/